🚧 [Experimental] List Spark clusters
Returns a list of Spark clusters available to the current DataLens tenant.
Request
POST
https://api.datalens.tech/rpc/listSparkClusters
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"pageSize": 0,
"pageToken": "example",
"filter": [
"example"
],
"collectionId": "example"
}
|
Name |
Description |
|
collectionId |
Type: string ID of the DataLens collection that contains the Spark clusters. Min length: Max length: Example: |
|
filter |
Type: string[] Filter expressions applied to the Spark cluster list. Example
|
|
pageSize |
Type: integer Maximum number of Spark clusters to return. The default is 100. Min value: |
|
pageToken |
Type: string Token for the next page of Spark clusters. Example: |
Responses
200 OK
Response
Body
application/json
{
"sparkClusters": [
{
"id": "example",
"clusterId": "example",
"collectionId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"labels": {},
"config": {
"sparkVersion": "example",
"resourcePools": {
"driver": {},
"executor": {}
},
"dependencies": {
"pipPackages": [
null
],
"debPackages": [
null
]
},
"logging": {
"enabled": true
}
},
"health": "HEALTH_UNKNOWN",
"status": "STATUS_UNSPECIFIED",
"entryId": "example"
}
],
"nextPageToken": "example"
}
|
Name |
Description |
|
nextPageToken |
Type: string Token for the next page of Spark clusters. Example: |
|
sparkClusters |
Type: SparkCluster[] Spark clusters matching the request. Example
|
SparkCluster
|
Name |
Description |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
cloudEnvironmentId |
Type: string ID of the associated cloud environment. Min length: Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
clusterId |
Type: string ID of the managed Spark cluster. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
collectionId |
Type: string ID of the DataLens collection that contains the cluster. Min length: Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
config |
Type: object
Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
description |
Type: string Description of the Spark cluster. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
entryId |
Type: string ID of the DataLens entry of the Spark cluster. Empty when the cluster has no entry. Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
health |
Type: string Aggregated health of the Spark cluster. Enum: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
id |
Type: string ID of the Spark cluster. Min length: Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
labels |
Type: object
Spark cluster labels. Example
|
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
name |
Type: string Name of the Spark cluster. Min length: Example: |
||||||||||||||||||||||||||||||||||||||||||||||||||||
|
status |
Type: string Current status of the Spark cluster. Enum: |
Example
{
"id": "example",
"clusterId": "example",
"collectionId": "example",
"cloudEnvironmentId": "example",
"name": "example",
"description": "example",
"labels": {},
"config": {
"sparkVersion": "example",
"resourcePools": {
"driver": {
"resourcePresetId": "example",
"scalePolicy": {}
},
"executor": {
"resourcePresetId": "example",
"scalePolicy": {}
}
},
"dependencies": {
"pipPackages": [
"example"
],
"debPackages": [
"example"
]
},
"logging": {
"enabled": true
}
},
"health": "HEALTH_UNKNOWN",
"status": "STATUS_UNSPECIFIED",
"entryId": "example"
}